# Transliterator::create

# transliterator_create

(PHP 5 >= 5.4.0, PHP 7, PECL intl >= 2.0.0)

Transliterator::create -- transliterator_create — Create a transliterator

### Description

Object oriented style

public static Transliterator::create ( string `$id` [, int `$direction` ] ) : Transliterator

Procedural style

transliterator_create ( string `$id` [, int `$direction` ] ) : Transliterator

Opens a Transliterator by id.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`id`

  The id.

`direction`

  The direction, defaults to >Transliterator::FORWARD. May also be set to Transliterator::REVERSE.

### Return Values

Returns a Transliterator object on success, or `NULL` on failure.

### See Also

- Transliterator::getErrorMessage() - Get last error message
- Transliterator::__construct() - Private constructor to deny instantiation